package com.pcloud.book.group.dto;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author lily
 * @date 2019/4/28 20:25
 */
public class GroupClassifyQrcodeDTO implements Serializable {

    /**
     * 图书标识
     */
    private Long bookId;

    /**
     * 运营标识
     */
    private Long channelId;

    /**
     * 社群码标识
     */
    private Long bookGroupId;

    /**
     * 分类标识
     */
    private Long classifyId;

    /**
     * 编辑标识
     */
    private Long adviserId;

    /**
     * 分类二维码标识
     */
    private Long groupQrcodeId;

    /**
     * 群二维码标识
     */
    private Long weixinQrcodeId;
    /**
     * 群分类价格
     */
    private BigDecimal price;

    private String qrCodeUrl;

    /**
     * 群名称
     */
    private String groupName;

    /**
     * 是否开启群学习报告
     */
    private Boolean hasOpenLearningReport;
    /**
     * 进群方式：1群二维码，2客服机器人
     */
    private Integer joinGroupType;

    /**
     * 切群人数
     */
    private Integer changeNumber;

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Long getGroupQrcodeId() {
        return groupQrcodeId;
    }

    public void setGroupQrcodeId(Long groupQrcodeId) {
        this.groupQrcodeId = groupQrcodeId;
    }

    public Long getWeixinQrcodeId() {
        return weixinQrcodeId;
    }

    public void setWeixinQrcodeId(Long weixinQrcodeId) {
        this.weixinQrcodeId = weixinQrcodeId;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getQrCodeUrl() {
        return qrCodeUrl;
    }

    public void setQrCodeUrl(String qrCodeUrl) {
        this.qrCodeUrl = qrCodeUrl;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Boolean getHasOpenLearningReport() {
        return hasOpenLearningReport;
    }

    public void setHasOpenLearningReport(Boolean hasOpenLearningReport) {
        this.hasOpenLearningReport = hasOpenLearningReport;
    }

    public Integer getJoinGroupType() {
        return joinGroupType;
    }

    public void setJoinGroupType(Integer joinGroupType) {
        this.joinGroupType = joinGroupType;
    }

    public Integer getChangeNumber() {
        return changeNumber;
    }

    public void setChangeNumber(Integer changeNumber) {
        this.changeNumber = changeNumber;
    }

    @Override
    public String toString() {
        return "GroupClassifyQrcodeDTO{" +
                "bookId=" + bookId +
                ", channelId=" + channelId +
                ", bookGroupId=" + bookGroupId +
                ", classifyId=" + classifyId +
                ", adviserId=" + adviserId +
                ", groupQrcodeId=" + groupQrcodeId +
                ", weixinQrcodeId=" + weixinQrcodeId +
                ", price=" + price +
                ", qrCodeUrl='" + qrCodeUrl + '\'' +
                ", groupName='" + groupName + '\'' +
                ", hasOpenLearningReport=" + hasOpenLearningReport +
                ", joinGroupType=" + joinGroupType +
                ", changeNumber=" + changeNumber +
                '}';
    }
}
